Upstream information

CVE-2019-14855 at MITRE

Description

A flaw was found in the way certificate signatures could be forged using collisions found in the SHA-1 algorithm. An attacker could use this weakness to create forged certificate signatures. This issue affects GnuPG versions before 2.2.18.

SUSE information

Overall state of this security issue: Revisit

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.9
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1157900 [NEW], 1160243 [RESOLVED / UPSTREAM], 1181233 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • dirmngr >= 2.2.27-1.2
  • gpg2 >= 2.2.27-1.2
  • gpg2-lang >= 2.2.27-1.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
Carwos 1 gpg2 Affected
HPE Helion OpenStack 8 gpg2 Not affected
SUSE CaaS Platform 3.0 gpg2 Affected
SUSE CaaS Platform 4.0 gpg2 In progress
SUSE Container as a Service Platform 1.0 gpg2 Affected
SUSE Container as a Service Platform 2.0 gpg2 Affected
SUSE Enterprise Storage 6 gpg2 In progress
SUSE Linux Enterprise Desktop 12 SP4 gpg2 Affected
SUSE Linux Enterprise High Performance Computing 12 SP4 gpg2 Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 gpg2 Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS gpg2 In progress
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS gpg2 In progress
SUSE Linux Enterprise Module for Basesystem 15 gpg2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 gpg2 Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP2 gpg2 In progress
SUSE Linux Enterprise Point of Service 11 SP3 gpg2 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS gpg2 Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS gpg2 Affected
SUSE Linux Enterprise Server 12 SP2 BCL gpg2 Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS gpg2 Affected
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON gpg2 Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS SAP gpg2 Not affected
SUSE Linux Enterprise Server 12 SP3 BCL gpg2 Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS gpg2 Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS gpg2 Not affected
SUSE Linux Enterprise Server 12 SP4 gpg2 Affected
SUSE Linux Enterprise Server 12 SP4 ESPOS gpg2 Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS gpg2 Not affected
SUSE Linux Enterprise Server 12 SP5 gpg2 Not affected
SUSE Linux Enterprise Server 15 LTSS gpg2 In progress
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux gpg2 In progress
SUSE Linux Enterprise Server 15 SP1 LTSS gpg2 In progress
SUSE Linux Enterprise Server ESPOS 15 gpg2 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP2 gpg2 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gpg2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gpg2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 gpg2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 gpg2 In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 gpg2 In progress
SUSE Manager Proxy 4.0 gpg2 In progress
SUSE Manager Retail Branch Server 4.0 gpg2 In progress
SUSE Manager Server 4.0 gpg2 In progress
SUSE OpenStack Cloud 8 gpg2 Not affected
SUSE OpenStack Cloud 9 gpg2 Not affected
SUSE OpenStack Cloud Crowbar 8 gpg2 Not affected
SUSE OpenStack Cloud Crowbar 9 gpg2 Not affected